# Change Log

## [Unreleased](https://github.com/marmelroy/PhoneNumberKit/tree/HEAD)

[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/2.1.0...HEAD)

**Closed issues:**

- Doesn't allow Phone Numbers starting with digit 6 or less. [\#235](https://github.com/marmelroy/PhoneNumberKit/issues/235)
- How can I use it in objectivec? [\#230](https://github.com/marmelroy/PhoneNumberKit/issues/230)
- Parsing phone numbers not working [\#228](https://github.com/marmelroy/PhoneNumberKit/issues/228)
- Lots of parsed numbers with no "type" [\#227](https://github.com/marmelroy/PhoneNumberKit/issues/227)
- is this project dead? [\#223](https://github.com/marmelroy/PhoneNumberKit/issues/223)
- Where we can download the compiled version of PhoneNumberKit ? [\#219](https://github.com/marmelroy/PhoneNumberKit/issues/219)
- XCode 9.1 support [\#185](https://github.com/marmelroy/PhoneNumberKit/issues/185)
- Carthage Error [\#183](https://github.com/marmelroy/PhoneNumberKit/issues/183)
- How to validate number without country code [\#182](https://github.com/marmelroy/PhoneNumberKit/issues/182)
- Swift 4 changes [\#181](https://github.com/marmelroy/PhoneNumberKit/issues/181)
- PhoneNumberKit doesn't handle autocomplete numbers [\#180](https://github.com/marmelroy/PhoneNumberKit/issues/180)
- SPM support? [\#177](https://github.com/marmelroy/PhoneNumberKit/issues/177)
- Not working in Swift 3 [\#175](https://github.com/marmelroy/PhoneNumberKit/issues/175)
- Validate a phone number [\#172](https://github.com/marmelroy/PhoneNumberKit/issues/172)
- do we have method to find numbers in text String which is there in google's libphonenumber [\#165](https://github.com/marmelroy/PhoneNumberKit/issues/165)
- \[enhancement\] Missing `isNumberMatch` method of `libphonenumber` library  [\#154](https://github.com/marmelroy/PhoneNumberKit/issues/154)
- \[Question\] Formatting [\#150](https://github.com/marmelroy/PhoneNumberKit/issues/150)

**Merged pull requests:**

- Metadata override callback: API improvements [\#238](https://github.com/marmelroy/PhoneNumberKit/pull/238) ([marmelroy](https://github.com/marmelroy))
- Build settings: switch to Swift 4.2 and update to modern build settings [\#237](https://github.com/marmelroy/PhoneNumberKit/pull/237) ([marmelroy](https://github.com/marmelroy))
- Added Codable to PhoneNumber [\#220](https://github.com/marmelroy/PhoneNumberKit/pull/220) ([nichdu](https://github.com/nichdu))
- \[PhoneNumberTextField\] Do not format text when the formatter is disabled [\#203](https://github.com/marmelroy/PhoneNumberKit/pull/203) ([polqf](https://github.com/polqf))
- Added custom path ability [\#188](https://github.com/marmelroy/PhoneNumberKit/pull/188) ([ashleybrgr](https://github.com/ashleybrgr))

## [2.1.0](https://github.com/marmelroy/PhoneNumberKit/tree/2.1.0) (2017-11-26)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/2.0.0...2.1.0)

**Fixed bugs:**

- . [\#115](https://github.com/marmelroy/PhoneNumberKit/issues/115)

**Closed issues:**

- isValidNumber is confusing [\#176](https://github.com/marmelroy/PhoneNumberKit/issues/176)
- Swift 4: Renamed function range\(at: \) to rangeAt\(\) [\#171](https://github.com/marmelroy/PhoneNumberKit/issues/171)
- Issue with number not starting with + [\#170](https://github.com/marmelroy/PhoneNumberKit/issues/170)
- Amimono support [\#169](https://github.com/marmelroy/PhoneNumberKit/issues/169)
- Swift 4 - 'range\(at:\)' has been renamed to 'rangeAt\(\_:\)' [\#168](https://github.com/marmelroy/PhoneNumberKit/issues/168)
- Error after migrating to Swift 4 [\#166](https://github.com/marmelroy/PhoneNumberKit/issues/166)
- Conversion to Swift 4 [\#163](https://github.com/marmelroy/PhoneNumberKit/issues/163)
- Xcode 9 cannot compile [\#162](https://github.com/marmelroy/PhoneNumberKit/issues/162)
- Issue with phone number "375336867646"  in v1.3.0, working fine in v1.2.3. Metadata issue ? [\#161](https://github.com/marmelroy/PhoneNumberKit/issues/161)
- Swift 4: Cannot convert return expression of type '\[Character\]?' to return type '\[String\]?' [\#147](https://github.com/marmelroy/PhoneNumberKit/issues/147)

**Merged pull requests:**

- Added optional "+" prefix if it is omitted [\#184](https://github.com/marmelroy/PhoneNumberKit/pull/184) ([redcapua](https://github.com/redcapua))
- Swift Package Manager Support [\#179](https://github.com/marmelroy/PhoneNumberKit/pull/179) ([Coledunsby](https://github.com/Coledunsby))
- Fixed deprecation warnings new in Xcode 9.1 beta \(9B37\) caused by usage of string.characters [\#174](https://github.com/marmelroy/PhoneNumberKit/pull/174) ([dmcgloin](https://github.com/dmcgloin))
- Fix carthage build [\#167](https://github.com/marmelroy/PhoneNumberKit/pull/167) ([sbystrov](https://github.com/sbystrov))
- multiple parse optionally returns not parsed phone numbers [\#138](https://github.com/marmelroy/PhoneNumberKit/pull/138) ([AlexandrTerentyev](https://github.com/AlexandrTerentyev))

## [2.0.0](https://github.com/marmelroy/PhoneNumberKit/tree/2.0.0) (2017-09-19)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/1.4.0...2.0.0)

**Merged pull requests:**

- Upgrade to 4.0 [\#164](https://github.com/marmelroy/PhoneNumberKit/pull/164) ([dpopov](https://github.com/dpopov))

## [1.4.0](https://github.com/marmelroy/PhoneNumberKit/tree/1.4.0) (2017-09-19)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/1.3.0...1.4.0)

**Closed issues:**

- can't parse number from South Africa? [\#157](https://github.com/marmelroy/PhoneNumberKit/issues/157)

## [1.3.0](https://github.com/marmelroy/PhoneNumberKit/tree/1.3.0) (2017-07-23)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/1.2.3...1.3.0)

**Closed issues:**

- Possible discrepancy with libphonenumber when using leading 0 with AU number [\#132](https://github.com/marmelroy/PhoneNumberKit/issues/132)

**Merged pull requests:**

- National number property in partial formatter and text field [\#152](https://github.com/marmelroy/PhoneNumberKit/pull/152) ([phatmann](https://github.com/phatmann))
- Make textFieldShould delegate methods open so users can override [\#151](https://github.com/marmelroy/PhoneNumberKit/pull/151) ([MattKiazyk](https://github.com/MattKiazyk))
- Support `maxDigits` property in PhoneNumberTextField [\#143](https://github.com/marmelroy/PhoneNumberKit/pull/143) ([phatmann](https://github.com/phatmann))
- Make textField:shouldChangeCharactersIn:range open [\#142](https://github.com/marmelroy/PhoneNumberKit/pull/142) ([phatmann](https://github.com/phatmann))
- Override setText so number will be automatically formatted when setti… [\#134](https://github.com/marmelroy/PhoneNumberKit/pull/134) ([jwolkovitzs](https://github.com/jwolkovitzs))
- Updated README.md according to issue \#92 [\#133](https://github.com/marmelroy/PhoneNumberKit/pull/133) ([imanzarrabian](https://github.com/imanzarrabian))

## [1.2.3](https://github.com/marmelroy/PhoneNumberKit/tree/1.2.3) (2017-04-11)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/1.2.2...1.2.3)

**Closed issues:**

- Is this project still supported? [\#130](https://github.com/marmelroy/PhoneNumberKit/issues/130)
- What exactly does ignoreType do? [\#129](https://github.com/marmelroy/PhoneNumberKit/issues/129)
- countryCode\(for: \<REGION\_CODE\>\) not working correctly [\#128](https://github.com/marmelroy/PhoneNumberKit/issues/128)
- Parsing string containing numbers [\#127](https://github.com/marmelroy/PhoneNumberKit/issues/127)
- Extract Area Code from Phone numbers [\#124](https://github.com/marmelroy/PhoneNumberKit/issues/124)
- Expose some of `MetadataManager` [\#122](https://github.com/marmelroy/PhoneNumberKit/issues/122)
- Mobile number validation doesn't completely work [\#121](https://github.com/marmelroy/PhoneNumberKit/issues/121)
- In v0.85, it looks like formatting doesn't work. [\#120](https://github.com/marmelroy/PhoneNumberKit/issues/120)
- Get countryCode [\#119](https://github.com/marmelroy/PhoneNumberKit/issues/119)
- Mobile number is invalid [\#116](https://github.com/marmelroy/PhoneNumberKit/issues/116)
- Extension with semicolon not recognized [\#113](https://github.com/marmelroy/PhoneNumberKit/issues/113)
- Editable struct [\#111](https://github.com/marmelroy/PhoneNumberKit/issues/111)
- PhoneNumber struct has outdated documentation [\#102](https://github.com/marmelroy/PhoneNumberKit/issues/102)
- PhoneNumberTextField edit formatting error [\#101](https://github.com/marmelroy/PhoneNumberKit/issues/101)
- Parenthesis in national number [\#99](https://github.com/marmelroy/PhoneNumberKit/issues/99)

**Merged pull requests:**

- fixed issue \#101 PhoneNumberTextField edit formatting error [\#117](https://github.com/marmelroy/PhoneNumberKit/pull/117) ([jwolkovitzs](https://github.com/jwolkovitzs))
- Support semicolon as extension separator [\#114](https://github.com/marmelroy/PhoneNumberKit/pull/114) ([appsforall](https://github.com/appsforall))
- Fix a `UIApplicationDelegate` method signature. [\#104](https://github.com/marmelroy/PhoneNumberKit/pull/104) ([artyom-stv](https://github.com/artyom-stv))
- add isPartialFormatterEnabled check for PhoneNumberTextField [\#98](https://github.com/marmelroy/PhoneNumberKit/pull/98) ([hongxinhope](https://github.com/hongxinhope))

## [1.2.2](https://github.com/marmelroy/PhoneNumberKit/tree/1.2.2) (2017-01-23)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/1.2.1...1.2.2)

**Closed issues:**

- Can't use it in Obj-C projects [\#109](https://github.com/marmelroy/PhoneNumberKit/issues/109)
- how can we change the international code/ area code colour change? [\#97](https://github.com/marmelroy/PhoneNumberKit/issues/97)

**Merged pull requests:**

- Link CoreTelephony only on supported platforms. [\#110](https://github.com/marmelroy/PhoneNumberKit/pull/110) ([jshier](https://github.com/jshier))
- Test must not made any assumption about the current locale. [\#107](https://github.com/marmelroy/PhoneNumberKit/pull/107) ([Jean-Daniel](https://github.com/Jean-Daniel))
- Minor fixes. [\#105](https://github.com/marmelroy/PhoneNumberKit/pull/105) ([artyom-stv](https://github.com/artyom-stv))
- Adopt `Equatable` and `Hashable` by `PhoneNumber`. [\#103](https://github.com/marmelroy/PhoneNumberKit/pull/103) ([artyom-stv](https://github.com/artyom-stv))
- Tighten scope on the 'formatter' variable [\#100](https://github.com/marmelroy/PhoneNumberKit/pull/100) ([sweetmandm](https://github.com/sweetmandm))

## [1.2.1](https://github.com/marmelroy/PhoneNumberKit/tree/1.2.1) (2016-12-16)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/1.2.0...1.2.1)

**Closed issues:**

- iOS 10.2 - Returning nil in defaultRegionCode [\#96](https://github.com/marmelroy/PhoneNumberKit/issues/96)
- Does not compile in Xcode 8.2 [\#94](https://github.com/marmelroy/PhoneNumberKit/issues/94)

**Merged pull requests:**

- Fixes building from carthage for app extension [\#95](https://github.com/marmelroy/PhoneNumberKit/pull/95) ([vhbit](https://github.com/vhbit))

## [1.2.0](https://github.com/marmelroy/PhoneNumberKit/tree/1.2.0) (2016-12-13)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/1.1.1...1.2.0)

## [1.1.1](https://github.com/marmelroy/PhoneNumberKit/tree/1.1.1) (2016-12-12)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/1.1.0...1.1.1)

**Closed issues:**

- Examples don't work. [\#93](https://github.com/marmelroy/PhoneNumberKit/issues/93)
- \[HELP NEEDED\] How do I preset values for PhoneNumberTextField? [\#88](https://github.com/marmelroy/PhoneNumberKit/issues/88)
- make it as extension [\#78](https://github.com/marmelroy/PhoneNumberKit/issues/78)
- Importing PhoneNumberKit causes compile errors [\#74](https://github.com/marmelroy/PhoneNumberKit/issues/74)
- parseMultiple returns before SynchronizedArray has finished appending phone numbers [\#62](https://github.com/marmelroy/PhoneNumberKit/issues/62)
- PhoneNumberKit doesn't recognize extensions with fewer than three characters [\#13](https://github.com/marmelroy/PhoneNumberKit/issues/13)

## [1.1.0](https://github.com/marmelroy/PhoneNumberKit/tree/1.1.0) (2016-12-04)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/1.0.5...1.1.0)

**Fixed bugs:**

- PhoneNumberKit still parses type with ignoreType set to true [\#92](https://github.com/marmelroy/PhoneNumberKit/issues/92)

**Closed issues:**

- More faster [\#79](https://github.com/marmelroy/PhoneNumberKit/issues/79)
- Performance: checking the PhoneNumber type in the cellForRowAtIndexPath [\#75](https://github.com/marmelroy/PhoneNumberKit/issues/75)

## [1.0.5](https://github.com/marmelroy/PhoneNumberKit/tree/1.0.5) (2016-12-03)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/1.0.4...1.0.5)

## [1.0.4](https://github.com/marmelroy/PhoneNumberKit/tree/1.0.4) (2016-12-02)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/1.0.3...1.0.4)

**Closed issues:**

- I need to format a "test" phone number to E164 but parse\(\) throws [\#77](https://github.com/marmelroy/PhoneNumberKit/issues/77)
- \[Swift 3\] Subclass PhoneNumberTextField [\#76](https://github.com/marmelroy/PhoneNumberKit/issues/76)

## [1.0.3](https://github.com/marmelroy/PhoneNumberKit/tree/1.0.3) (2016-11-29)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/1.0.2...1.0.3)

**Closed issues:**

- How to get leadingDigits? [\#90](https://github.com/marmelroy/PhoneNumberKit/issues/90)
- Does not compile with Xcode 8.1 [\#89](https://github.com/marmelroy/PhoneNumberKit/issues/89)
- Customize Phone Region [\#86](https://github.com/marmelroy/PhoneNumberKit/issues/86)

**Merged pull requests:**

- Added getLeadingDigits \(mobile\) method [\#91](https://github.com/marmelroy/PhoneNumberKit/pull/91) ([NikKovIos](https://github.com/NikKovIos))

## [1.0.2](https://github.com/marmelroy/PhoneNumberKit/tree/1.0.2) (2016-11-28)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/1.0.1...1.0.2)

**Closed issues:**

- swift 3 build errors [\#85](https://github.com/marmelroy/PhoneNumberKit/issues/85)
- Do we have getCountryCodeForRegion Function [\#84](https://github.com/marmelroy/PhoneNumberKit/issues/84)
- Unrecognized selector crash in PhoneNumberTextField [\#82](https://github.com/marmelroy/PhoneNumberKit/issues/82)
- Change PhoneNumberTextField access to open to allow overriding [\#73](https://github.com/marmelroy/PhoneNumberKit/issues/73)
- PartialFormatter has wrong access level to its initializers [\#72](https://github.com/marmelroy/PhoneNumberKit/issues/72)
- PhoneNumber name collisions [\#50](https://github.com/marmelroy/PhoneNumberKit/issues/50)

**Merged pull requests:**

- Ensure convenience initialization works [\#87](https://github.com/marmelroy/PhoneNumberKit/pull/87) ([brianmichel](https://github.com/brianmichel))
- Fix crash when referencing delegate.textField\(\) [\#83](https://github.com/marmelroy/PhoneNumberKit/pull/83) ([jrogers](https://github.com/jrogers))
- Added ability to parse phone number without throwing "unknown type" exception    [\#81](https://github.com/marmelroy/PhoneNumberKit/pull/81) ([sorth-hiya](https://github.com/sorth-hiya))
- correct bug for swift 3 in operation queue [\#80](https://github.com/marmelroy/PhoneNumberKit/pull/80) ([cemonet](https://github.com/cemonet))

## [1.0.1](https://github.com/marmelroy/PhoneNumberKit/tree/1.0.1) (2016-10-03)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/1.0.0...1.0.1)

**Closed issues:**

- Swift 3 [\#70](https://github.com/marmelroy/PhoneNumberKit/issues/70)
- toInternational\(\) method can be static  [\#69](https://github.com/marmelroy/PhoneNumberKit/issues/69)

## [1.0.0](https://github.com/marmelroy/PhoneNumberKit/tree/1.0.0) (2016-10-02)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.8.5...1.0.0)

**Closed issues:**

- PhoneNumberTextField issue with US default region. [\#71](https://github.com/marmelroy/PhoneNumberKit/issues/71)
- Swift migtation  [\#68](https://github.com/marmelroy/PhoneNumberKit/issues/68)
- Not building in Xcode 8 [\#66](https://github.com/marmelroy/PhoneNumberKit/issues/66)
- can't build with Xcode 8 [\#65](https://github.com/marmelroy/PhoneNumberKit/issues/65)
- Missing country [\#61](https://github.com/marmelroy/PhoneNumberKit/issues/61)
- Not working in Simulator [\#59](https://github.com/marmelroy/PhoneNumberKit/issues/59)

**Merged pull requests:**

- Add NSRegularExpression+Swift.swift to macOs, watchOS, tvOS targets a… [\#67](https://github.com/marmelroy/PhoneNumberKit/pull/67) ([adamkornafeld](https://github.com/adamkornafeld))
- Update to Xcode 8 GM [\#63](https://github.com/marmelroy/PhoneNumberKit/pull/63) ([davbeck](https://github.com/davbeck))
- Updated for Xcode 8 beta 6 [\#60](https://github.com/marmelroy/PhoneNumberKit/pull/60) ([davbeck](https://github.com/davbeck))

## [0.8.5](https://github.com/marmelroy/PhoneNumberKit/tree/0.8.5) (2016-08-06)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.8.4...0.8.5)

**Closed issues:**

- Maximum Characters for PhoneNumberTextField [\#58](https://github.com/marmelroy/PhoneNumberKit/issues/58)
- Number phone template from region  [\#57](https://github.com/marmelroy/PhoneNumberKit/issues/57)
- Detecting wrong country code from phone number [\#54](https://github.com/marmelroy/PhoneNumberKit/issues/54)
- Add framework archive to release [\#15](https://github.com/marmelroy/PhoneNumberKit/issues/15)

**Merged pull requests:**

- Set correct region when validating phone number [\#56](https://github.com/marmelroy/PhoneNumberKit/pull/56) ([Bomb3rman](https://github.com/Bomb3rman))
- Add macOS, watchOS, tvOS targets [\#53](https://github.com/marmelroy/PhoneNumberKit/pull/53) ([adamkornafeld](https://github.com/adamkornafeld))

## [0.8.4](https://github.com/marmelroy/PhoneNumberKit/tree/0.8.4) (2016-06-01)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.8.3...0.8.4)

**Closed issues:**

- Incompatible with pod "BlocksKit" [\#49](https://github.com/marmelroy/PhoneNumberKit/issues/49)
- Detection of UK Numbers doesn't work in 99% of real world use cases [\#47](https://github.com/marmelroy/PhoneNumberKit/issues/47)
- Expected Declaration error [\#46](https://github.com/marmelroy/PhoneNumberKit/issues/46)
- Do not submit apps with GCC-style coverage [\#45](https://github.com/marmelroy/PhoneNumberKit/issues/45)

**Merged pull requests:**

- Fix sample projects [\#48](https://github.com/marmelroy/PhoneNumberKit/pull/48) ([egrim](https://github.com/egrim))

## [0.8.3](https://github.com/marmelroy/PhoneNumberKit/tree/0.8.3) (2016-05-05)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.8.2...0.8.3)

**Closed issues:**

- AsYouType [\#43](https://github.com/marmelroy/PhoneNumberKit/issues/43)

## [0.8.2](https://github.com/marmelroy/PhoneNumberKit/tree/0.8.2) (2016-05-04)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.8...0.8.2)

## [0.8](https://github.com/marmelroy/PhoneNumberKit/tree/0.8) (2016-04-29)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.7...0.8)

**Fixed bugs:**

- Possible memory leak [\#38](https://github.com/marmelroy/PhoneNumberKit/issues/38)
- parseMultiple EXC\_BAD\_ACCESS [\#29](https://github.com/marmelroy/PhoneNumberKit/issues/29)

**Closed issues:**

- dependency problem? [\#44](https://github.com/marmelroy/PhoneNumberKit/issues/44)
- Allow to separate a PhoneNumber's country prefix from the rest [\#32](https://github.com/marmelroy/PhoneNumberKit/issues/32)
- Can't dissociate a possible phone number from a valid phone number [\#30](https://github.com/marmelroy/PhoneNumberKit/issues/30)

**Merged pull requests:**

- Fix PartialFormatter for regions that are not the main country [\#42](https://github.com/marmelroy/PhoneNumberKit/pull/42) ([fikus](https://github.com/fikus))
- Fix wrong region code uses [\#41](https://github.com/marmelroy/PhoneNumberKit/pull/41) ([dulacp](https://github.com/dulacp))

## [0.7](https://github.com/marmelroy/PhoneNumberKit/tree/0.7) (2016-03-27)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.6.4...0.7)

**Closed issues:**

- ParseOperationValueProvider - expected declaration error [\#39](https://github.com/marmelroy/PhoneNumberKit/issues/39)
- 0.6.4 is not compiling anymore [\#37](https://github.com/marmelroy/PhoneNumberKit/issues/37)
- Determination of PhoneNumber.type is incorrect [\#34](https://github.com/marmelroy/PhoneNumberKit/issues/34)

**Merged pull requests:**

- Fixes for PhoneNumber type determination [\#40](https://github.com/marmelroy/PhoneNumberKit/pull/40) ([fikus](https://github.com/fikus))
- Don't use possible number pattern to determine number type [\#36](https://github.com/marmelroy/PhoneNumberKit/pull/36) ([fikus](https://github.com/fikus))

## [0.6.4](https://github.com/marmelroy/PhoneNumberKit/tree/0.6.4) (2016-03-23)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.6.3...0.6.4)

**Closed issues:**

- Partial Formatter not parsing correctly numbers from Mexico Region [\#35](https://github.com/marmelroy/PhoneNumberKit/issues/35)

## [0.6.3](https://github.com/marmelroy/PhoneNumberKit/tree/0.6.3) (2016-03-17)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.6.2...0.6.3)

**Closed issues:**

- Cannot modify PhoneNumberTextField delegate. [\#26](https://github.com/marmelroy/PhoneNumberKit/issues/26)

**Merged pull requests:**

- Implement regionCodeForNumber [\#33](https://github.com/marmelroy/PhoneNumberKit/pull/33) ([fikus](https://github.com/fikus))
- Make Constants public for easier subclassing [\#31](https://github.com/marmelroy/PhoneNumberKit/pull/31) ([danielrhodes](https://github.com/danielrhodes))
- improvements to PartialFormatter region prediction [\#28](https://github.com/marmelroy/PhoneNumberKit/pull/28) ([dr-skot](https://github.com/dr-skot))
- PhoneNumberTextField consults delegate before editing, and reports currentRegion and isValidNumber [\#27](https://github.com/marmelroy/PhoneNumberKit/pull/27) ([dr-skot](https://github.com/dr-skot))

## [0.6.2](https://github.com/marmelroy/PhoneNumberKit/tree/0.6.2) (2016-02-21)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.6.1...0.6.2)

**Closed issues:**

- Image not found error [\#25](https://github.com/marmelroy/PhoneNumberKit/issues/25)
- Install manually [\#24](https://github.com/marmelroy/PhoneNumberKit/issues/24)

**Merged pull requests:**

- Minor text field delegate refactor [\#23](https://github.com/marmelroy/PhoneNumberKit/pull/23) ([codytwinton](https://github.com/codytwinton))
- Adds send of UIControlEvents.EditingChanged for PhoneNumberTextField [\#22](https://github.com/marmelroy/PhoneNumberKit/pull/22) ([nrako](https://github.com/nrako))

## [0.6.1](https://github.com/marmelroy/PhoneNumberKit/tree/0.6.1) (2016-02-12)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.6...0.6.1)

**Closed issues:**

- Trying to Create a Pull Request [\#21](https://github.com/marmelroy/PhoneNumberKit/issues/21)
- Better formatting and a version of AsYouTypeFormatter [\#2](https://github.com/marmelroy/PhoneNumberKit/issues/2)

**Merged pull requests:**

- AsYouTypeFormatter and release 0.6 [\#20](https://github.com/marmelroy/PhoneNumberKit/pull/20) ([marmelroy](https://github.com/marmelroy))

## [0.6](https://github.com/marmelroy/PhoneNumberKit/tree/0.6) (2016-02-11)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.3...0.6)

**Merged pull requests:**

- Fixed typo in PhoneNumberError description. [\#19](https://github.com/marmelroy/PhoneNumberKit/pull/19) ([dmcgloin](https://github.com/dmcgloin))
- Fixed deprecation warnings encountered with Xcode version 7.3 beta 2 … [\#18](https://github.com/marmelroy/PhoneNumberKit/pull/18) ([dmcgloin](https://github.com/dmcgloin))

## [0.3](https://github.com/marmelroy/PhoneNumberKit/tree/0.3) (2016-01-20)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.2...0.3)

**Closed issues:**

- Make PartialFormatter public [\#17](https://github.com/marmelroy/PhoneNumberKit/issues/17)
- Memory leak [\#16](https://github.com/marmelroy/PhoneNumberKit/issues/16)
- Cocoapod install error [\#12](https://github.com/marmelroy/PhoneNumberKit/issues/12)
- Conflict with GooglePlacesAutocomplete [\#11](https://github.com/marmelroy/PhoneNumberKit/issues/11)

## [0.2](https://github.com/marmelroy/PhoneNumberKit/tree/0.2) (2015-12-13)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.1.7...0.2)

**Closed issues:**

- Add a FixedLineOrMobile type [\#9](https://github.com/marmelroy/PhoneNumberKit/issues/9)

**Merged pull requests:**

- Fix crash when passing phone number with plus to `extractPotentialCou… [\#10](https://github.com/marmelroy/PhoneNumberKit/pull/10) ([Constantine-Fry](https://github.com/Constantine-Fry))

## [0.1.7](https://github.com/marmelroy/PhoneNumberKit/tree/0.1.7) (2015-11-21)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.1.6...0.1.7)

**Closed issues:**

- PNK fails to identify an improper number  [\#8](https://github.com/marmelroy/PhoneNumberKit/issues/8)

## [0.1.6](https://github.com/marmelroy/PhoneNumberKit/tree/0.1.6) (2015-11-06)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.1.5...0.1.6)

## [0.1.5](https://github.com/marmelroy/PhoneNumberKit/tree/0.1.5) (2015-11-06)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.1.4...0.1.5)

**Merged pull requests:**

- Better formatter [\#7](https://github.com/marmelroy/PhoneNumberKit/pull/7) ([marmelroy](https://github.com/marmelroy))

## [0.1.4](https://github.com/marmelroy/PhoneNumberKit/tree/0.1.4) (2015-11-02)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.1.3...0.1.4)

**Closed issues:**

- fatal error: unexpectedly found nil while unwrapping an Optional value [\#5](https://github.com/marmelroy/PhoneNumberKit/issues/5)

**Merged pull requests:**

- Performance + Documentation [\#6](https://github.com/marmelroy/PhoneNumberKit/pull/6) ([marmelroy](https://github.com/marmelroy))

## [0.1.3](https://github.com/marmelroy/PhoneNumberKit/tree/0.1.3) (2015-11-01)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.1.2...0.1.3)

**Merged pull requests:**

- Update README.md [\#4](https://github.com/marmelroy/PhoneNumberKit/pull/4) ([kostiakoval](https://github.com/kostiakoval))

## [0.1.2](https://github.com/marmelroy/PhoneNumberKit/tree/0.1.2) (2015-10-30)
[Full Changelog](https://github.com/marmelroy/PhoneNumberKit/compare/0.1...0.1.2)

**Merged pull requests:**

- More testing and increased reliability [\#3](https://github.com/marmelroy/PhoneNumberKit/pull/3) ([marmelroy](https://github.com/marmelroy))

## [0.1](https://github.com/marmelroy/PhoneNumberKit/tree/0.1) (2015-10-27)
**Closed issues:**

- Images for README [\#1](https://github.com/marmelroy/PhoneNumberKit/issues/1)



\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*